Module java.base
Package java.lang

## Class ArrayStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.ArrayStoreException

- All Implemented Interfaces:
    `Serializable`

      public class ArrayStoreException
      extends RuntimeException

  Thrown to indicate that an attempt has been made to store the wrong type of object into an array of objects. For example, the following code generates an `ArrayStoreException`:

  >          Object x[] = new String[3];
  >          x[0] = new Integer(0);

  Since:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayStoreException​()` | Constructs an `ArrayStoreException` with no detail message.
    `ArrayStoreException​(String s)` | Constructs an `ArrayStoreException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### ArrayStoreException

          public ArrayStoreException​()

      Constructs an `ArrayStoreException` with no detail message.

    - #### ArrayStoreException

          public ArrayStoreException​(String s)

      Constructs an `ArrayStoreException` with the specified detail message.
      Parameters:
        `s` - the detail message.